### Method

# Foundry ForgeQuery contains_state

since: 1.1

#### Declaration [src]

    gboolean
    foundry_forge_query_contains_state (
      FoundryForgeQuery* self,
      const char* state
    )

#### Description [src]

Helper to check `FoundryForgeQuery:state` if it contains `state` while handling “,” separators.

Available since: 1.1

#### Parameters

`state`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `state` was found otherwise `FALSE`.